cURL
curl --request POST \
--url https://test.deribit.com/api/v2/private/cancel_by_label \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 47,
"method": "private/cancel_by_label",
"params": {
"label": "label"
}
}'{
"jsonrpc": "2.0",
"id": 47,
"result": 4
}Trading
private/cancel_by_label
Cancels all orders (including trigger orders) that have a specific label. This is useful for managing groups of related orders that share the same label.
Orders can be cancelled across all currencies or filtered to a specific currency. When cancelling by currency, the currency queue is used for processing.
Rate Limits: When called without the currency parameter, this method is subject to cancel_all rate limits. Different rate limit values may apply for per-currency cancels versus calls without providing the currency parameter.
Scope: trade:read_write
cURL
curl --request POST \
--url https://test.deribit.com/api/v2/private/cancel_by_label \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 47,
"method": "private/cancel_by_label",
"params": {
"label": "label"
}
}'{
"jsonrpc": "2.0",
"id": 47,
"result": 4
}Query Parameters
Was this page helpful?